<template>
    <div
        class="w-full"
    >
        <div
            class="px-5 py-2 font-black capitalize"
        >
            {{ computedTitle }}
        </div>
        <div
            class="w-full balance-box text-2xl font-bold font-mono px-4 py-2 rounded-lg"
        >
            $ {{ $helper.fundFormat($user[`credit_${creditId}`]) }}
        </div>
    </div>
</template>

<script setup>
import {computed} from "vue";
import {useI18n} from "vue-i18n";

const props = defineProps({
    title: {
        required: false,
        type: String,
        default: 'default',
    },
    creditId: {
        required: true,
        type: Number,
    }
});

const i18n = useI18n();
const computedTitle = computed(() => {
    return props.title === 'default' ? i18n.t(`credit_${props.creditId}_balance`) : props.title;
});
</script>
